This is an MCP server that provides normalized APIs to 3P source code management systems.
A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.
Server Setup
You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.
Server Endpoints
An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.
The Developer Connect API MCP server has the following global MCP endpoint:
- https://developerconnect.googleapis.com/mcp
MCP Tools
An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.
Tools
The developerconnect.googleapis.com MCP server has the following tools:
| MCP Tools | |
|---|---|
fetch-repo-commit |
Fetch details of a specific commit from a Git repository. To retrieve line-by-line patch hunks in FULL view, pass path_filters (for example, ['**'] for all files). |
fetch-repo-commit-list |
Fetch a list of commits from a Git repository. |
diff-repo-commit |
Get the diff between two commits in a Git repository. To retrieve line-by-line patch hunks, pass path_filters (for example, ['**'] for all files). |
open-repo-pull-request |
Open a pull request in the remote SCM repository. |
add-repo-pull-request-comment |
Add a comment to a pull request. |
add-repo-pull-request-review-comment |
Add a review comment (inline on diff) to a pull request. |
modify-repo-pull-request |
Modify a pull request in the remote SCM repository. |
fetch-repo-file-blame |
Fetch blame information for a specific file in a Git repository. |
fetch-repo-pull-request |
Fetch details of a specific pull request from a Git repository. |
fetch-repo-pull-request-list |
Fetch a list of pull requests from a Git repository. |
create-connection |
Creates a new Connection in a given project and location. |
create-repo-link |
Creates a new GitRepositoryLink in a given project and location. |
list-connections |
List connections in a given project and location. |
list-repo-links |
List Git repository links under a connection. |
Get MCP tool specifications
To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.
| Curl Request |
|---|
curl --location 'https://developerconnect.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' |